Upstream information

CVE-2009-0025 at MITRE

Description

BIND 9.6.0, 9.5.1, 9.5.0, 9.4.3, and earlier does not properly check the return value from the OpenSSL DSA_verify function, which allows remote attackers to bypass validation of the certificate chain via a malformed SSL/TLS signature, a similar vulnerability to CVE-2008-5077.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 464462, 470968 [RESOLVED / DUPLICATE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Novell Linux Desktop 9 for x86
Open Enterprise Server
  • bind >= 9.3.4-4.10
  • bind-devel >= 9.3.4-4.10
  • bind-utils >= 9.3.4-4.10
core9.x86-64
core9.s390x
core9.ppc
sles9-nld.x86-64
core9.x86
core9.ia64
sles9-nld.x86
sles9-oes.x86
core9.s390
sles9-nlpos.x86
YOU Patch Nr: 12328
Novell Linux Desktop 9 for x86_64
  • bind >= 9.3.4-4.10
  • bind-devel >= 9.3.4-4.10
  • bind-utils >= 9.3.4-4.10
  • bind-utils-32bit >= 9-200901120120
core9.x86-64
core9.s390x
core9.ppc
sles9-nld.x86-64
core9.x86
core9.ia64
sles9-nld.x86
sles9-oes.x86
core9.s390
sles9-nlpos.x86
YOU Patch Nr: 12328
openSUSE 11.0
  • bind-debuginfo >= 9.4.2-39.4
  • bind-debugsource >= 9.4.2-39.4
openSUSE 11.0
  • bind >= 9.4.2-39.4
  • bind-chrootenv >= 9.4.2-39.4
  • bind-devel >= 9.4.2-39.4
  • bind-devel-64bit >= 9.4.2-39.4
  • bind-doc >= 9.4.2-39.4
  • bind-libs >= 9.4.2-39.4
  • bind-libs-32bit >= 9.4.2-39.4
  • bind-libs-64bit >= 9.4.2-39.4
  • bind-utils >= 9.4.2-39.4
openSUSE 11.1
  • bind-debuginfo >= 9.5.0P2-17.4.1
  • bind-debugsource >= 9.5.0P2-17.4.1
openSUSE 11.1
  • bind >= 9.5.0P2-17.4.1
  • bind-chrootenv >= 9.5.0P2-17.4.1
  • bind-devel >= 9.5.0P2-17.4.1
  • bind-doc >= 9.5.0P2-17.4.1
  • bind-libs >= 9.5.0P2-17.4.1
  • bind-libs-32bit >= 9.5.0P2-17.4.1
  • bind-libs-64bit >= 9.5.0P2-17.4.1
  • bind-utils >= 9.5.0P2-17.4.1
sles10-ltss.i386
  • bind >= 9.3.4-1.20.7
  • bind-chrootenv >= 9.3.4-1.20.7
  • bind-devel >= 9.3.4-1.20.7
  • bind-doc >= 9.3.4-1.20.7
  • bind-libs >= 9.3.4-1.20.7
  • bind-utils >= 9.3.4-1.20.7
sles10-ltss.s390x
sles10-ltss.x86
sles10-ltss.x86-64
ZYPP Patch Nr: 6384
sles10-ltss.s390x
sles10-ltss.x86_64
  • bind >= 9.3.4-1.20.7
  • bind-chrootenv >= 9.3.4-1.20.7
  • bind-devel >= 9.3.4-1.20.7
  • bind-doc >= 9.3.4-1.20.7
  • bind-libs >= 9.3.4-1.20.7
  • bind-libs-32bit >= 9.3.4-1.20.7
  • bind-utils >= 9.3.4-1.20.7
sles10-ltss.s390x
sles10-ltss.x86
sles10-ltss.x86-64
ZYPP Patch Nr: 6384
SUSE Linux Enterprise SDK 10 SP2
  • bind >= 9.3.4-1.26
  • bind-chrootenv >= 9.3.4-1.26
  • bind-devel >= 9.3.4-1.26
  • bind-doc >= 9.3.4-1.26
sles10-sp2.ia64
sles10-sp2-debuginfo.ppc
sle10-sp2-sdk.x86-64
sle10-sp2-sdk.ppc
sles10-sp2.x86
sles10-sp2-debuginfo.x86
sles10-sp2.x86-64
sle10-sp2-sdk.x86
sles10-sp2.ppc
sle10-sp2-sdk.s390x
sled10-sp2.x86
sles10-sp2-debuginfo.ia64
sles10-sp2-debuginfo.x86-64
sle10-sp2-sdk.ia64
sled10-sp2.x86-64
sles10-sp2.s390x
sles10-sp2-debuginfo.s390x
ZYPP Patch Nr: 5905
SUSE Linux Enterprise SDK 10 SP2
  • bind >= 9.3.4-1.26
  • bind-chrootenv >= 9.3.4-1.26
  • bind-devel >= 9.3.4-1.26
  • bind-devel-64bit >= 9.3.4-1.26
  • bind-doc >= 9.3.4-1.26
sles10-sp2.ia64
sles10-sp2-debuginfo.ppc
sle10-sp2-sdk.x86-64
sle10-sp2-sdk.ppc
sles10-sp2.x86
sles10-sp2-debuginfo.x86
sles10-sp2.x86-64
sle10-sp2-sdk.x86
sles10-sp2.ppc
sle10-sp2-sdk.s390x
sled10-sp2.x86
sles10-sp2-debuginfo.ia64
sles10-sp2-debuginfo.x86-64
sle10-sp2-sdk.ia64
sled10-sp2.x86-64
sles10-sp2.s390x
sles10-sp2-debuginfo.s390x
ZYPP Patch Nr: 5905


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 GA bind Affected
SUSE Linux Enterprise Desktop 11 SP1 bind Affected
SUSE Linux Enterprise SDK 11 GA bind Affected
SUSE Linux Enterprise SDK 11 SP1 bind Affected
SUSE Linux Enterprise Server 11 SP1 bind Affected
SUSE Linux Enterprise Server 11 SP1 LTSS bind Affected
SUSE Linux Enterprise Server for SAP AIO 11 SP1 bind Affected
SUSE Linux Enterprise Server for SAP ES 11 SP1 bind Affected